Get Vehicle Listening Audit
curl --request GET \
--url https://api.volteras.com/v1/vehicles/{vehicle_id}/listening-audit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles/{vehicle_id}/listening-audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles/{vehicle_id}/listening-audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"vehicleId": "<string>",
"isListening": true,
"timestamp": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>",
"totalResults": 123
}Vehicle Listening
Get Vehicle Listening Audit
Retrieve the listening-state history for a vehicle, ordered by the time entries were recorded.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- PAGE_SIZE_TOO_LARGE
- PAGINATED_QUERY_FILTER_CHANGED
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
GET
/
v1
/
vehicles
/
{vehicle_id}
/
listening-audit
Get Vehicle Listening Audit
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique internal identifier for the vehicle.
Query Parameters
Max size of the returned list.
Page token used for pagination.
Listing filter schema.

